diff --git a/drupal7/sites/all/modules/flag/includes/flag/flag_flag.inc b/drupal7/sites/all/modules/flag/includes/flag/flag_flag.inc
index 44e7a7a1..aa9b5b2d 100644
--- a/drupal7/sites/all/modules/flag/includes/flag/flag_flag.inc
+++ b/drupal7/sites/all/modules/flag/includes/flag/flag_flag.inc
@@ -2,13 +2,14 @@
 
 /**
  * @file
- *  Contains the flag_flag class.
- *  Flag type classes use an object oriented style inspired by that
- *  of Views 2.
+ * Contains the flag_flag class.
+ * Flag type classes use an object oriented style inspired by that
+ * of Views 2.
  */
 
 /**
- * This abstract class represents a flag, or, in Views 2 terminology, "a handler".
+ * This abstract class represents a flag, or, in Views 2 terminology,
+ * "a handler".
  *
  * This is the base class for all flag implementations. Notable derived
  * classes are flag_node and flag_comment.
@@ -29,8 +30,8 @@
  * - flag_flag::factory_by_array(), creates a flag handler from a configuration
  *   array. This is used by flag_get_default_flags() and the flag import form.
  * - flag_flag::factory_by_entity_type(), creates an empty flag handler for the
- *   given entity type. This is used when a new or dummy flag handler is required
- *   and there is no configuration yet.
+ *   given entity type. This is used when a new or dummy flag handler is
+ *   required and there is no configuration yet.
  *
  * The factory methods in turn all call the low-level function
  * flag_create_handler(), which obtains the correct handler for the flag, or if
@@ -94,7 +95,8 @@ class flag_flag {
   );
 
   /**
-   * An associative array containing textual errors that may be created during validation.
+   * An associative array containing textual errors that may be created during
+   * validation.
    *
    * The array keys should reflect the type of error being set. At this time,
    * the only "special" behavior related to the array keys is that
@@ -103,7 +105,7 @@ class flag_flag {
    *
    * @var array
    */
-  var $errors = array();
+  public $errors = array();
 
   /**
    * Creates a flag from a database row. Returns it.
@@ -135,7 +137,8 @@ class flag_flag {
     }
 
     if (!empty($row->type)) {
-      // The loop loading from the database should further populate this property.
+      // The loop loading from the database should further populate this
+      // property.
       $flag->types[] = $row->type;
     }
 
@@ -189,7 +192,8 @@ class flag_flag {
       'unflag_long' => '',
       'unflag_message' => '',
       'unflag_denied_text' => '',
-      // The link type used by the flag, as defined in hook_flag_link_type_info().
+      // The link type used by the flag, as defined in
+      // hook_flag_link_type_info().
       'link_type' => 'toggle',
       'weight' => 0,
     );
@@ -245,7 +249,8 @@ class flag_flag {
    */
   function form_input($form_values) {
     // Load the form fields indiscriminately unto the flag (we don't care about
-    // stray FormAPI fields because we aren't touching unknown properties anyway.
+    // stray FormAPI fields because we aren't touching unknown properties
+    // anyway).
     foreach ($form_values as $field => $value) {
       $this->$field = $value;
     }
@@ -626,18 +631,18 @@ class flag_flag {
    *   TRUE if the flag is enabled for this type and subtype.
    */
   function access_entity_enabled($entity_type, $content_subtype = NULL) {
-   $entity_type_matches = ($this->entity_type == $entity_type);
-   $sub_type_matches = FALSE;
-   if (!isset($content_subtype) || !count($this->types)) {
-     // Subtype automatically matches if we're not asked about it,
-     // or if the flag applies to all subtypes.
-     $sub_type_matches = TRUE;
-   }
-   else {
-     $sub_type_matches = in_array($content_subtype, $this->types);
-   }
-   return $entity_type_matches && $sub_type_matches;
- }
+    $entity_type_matches = ($this->entity_type == $entity_type);
+    $sub_type_matches = FALSE;
+    if (!isset($content_subtype) || !count($this->types)) {
+      // Subtype automatically matches if we're not asked about it,
+      // or if the flag applies to all subtypes.
+      $sub_type_matches = TRUE;
+    }
+    else {
+      $sub_type_matches = in_array($content_subtype, $this->types);
+    }
+    return $entity_type_matches && $sub_type_matches;
+  }
 
   /**
    * Determine whether the flag should show a flag link in entity links.
@@ -685,6 +690,10 @@ class flag_flag {
    *   - to update field data an existing flagging. The $action parameter should
    *     be set to 'flag'. The Flagging entity will need to be loaded first with
    *     flagging_load().
+   *  As with Drupal core API functions for saving entities, no validation of
+   *  Field API fields is performed here. It is the responsibility of the caller
+   *  to take care of Field API validation, using either
+   *  field_attach_form_validate() or field_attach_validate().
    *
    * @return
    *   FALSE if some error occured (e.g., user has no permission, flag isn't
@@ -695,9 +704,6 @@ class flag_flag {
     if (!isset($account)) {
       $account = $GLOBALS['user'];
     }
-    if (!$account) {
-      return FALSE;
-    }
 
     // Check access and applicability.
     if (!$skip_permission_check) {
@@ -736,112 +742,47 @@ class flag_flag {
       }
     }
 
-    // Set our uid and sid to the flagging object.
+    // @todo: Discuss: Core wraps everything in a try { }, should we?
+
+    $existing_flagging_id = $this->_is_flagged($entity_id, $uid, $sid);
+    $flagged = (bool) $existing_flagging_id;
+
+    // Ensure we have a Flagging entity and it is correctly formed.
     if (isset($flagging)) {
+      // We were given a Flagging entity.
+      // Ensure that it has the uid and sid that we were also given.
       $flagging->uid = $uid;
       $flagging->sid = $sid;
-    }
 
-    // @todo: Discuss: Should we call field_attach_validate()? None of the
-    // entities in core does this (fields entered through forms are already
-    // validated).
-    //
-    // @todo: Discuss: Core wraps everything in a try { }, should we?
+      // This is an ugly hack to preserve previous behaviour.
+      $flagging->given_as_parameter = TRUE;
+    }
+    else {
+      // We were not given a Flagging entity.
+      if ($flagged) {
+        // Load the existing Flagging entity.
+        $flagging = flagging_load($existing_flagging_id);
+      }
+      else {
+        // Construct a new Flagging entity to flag with.
+        $flagging = $this->new_flagging($entity_id, $uid, $sid);
+      }
+    }
 
     // Perform the flagging or unflagging of this flag.
-    $existing_flagging_id = $this->_is_flagged($entity_id, $uid, $sid);
-    $flagged = (bool) $existing_flagging_id;
     if ($action == 'unflag') {
-      if ($this->uses_anonymous_cookies()) {
-        $this->_unflag_anonymous($entity_id);
-      }
       if ($flagged) {
-        if (!isset($flagging)) {
-          $flagging = flagging_load($existing_flagging_id);
-        }
-        $transaction = db_transaction();
-        try {
-          // Note the order: We decrease the count first so hooks have accurate
-          // data, then invoke hooks, then delete the flagging entity.
-          $this->_decrease_count($entity_id);
-          module_invoke_all('flag_unflag', $this, $entity_id, $account, $flagging);
-          // Invoke Rules event.
-          if (module_exists('rules')) {
-            $event_name = 'flag_unflagged_' . $this->name;
-            // We only support flags on entities.
-            if (entity_get_info($this->entity_type)) {
-              $variables = array(
-                'flag' => $this,
-                'flagged_' . $this->entity_type => $entity_id,
-                'flagging_user' => $account,
-                'flagging' => $flagging,
-              );
-              rules_invoke_event_by_args($event_name, $variables);
-            }
-          }
-          $this->_delete_flagging($flagging);
-          $this->_unflag($entity_id, $flagging->flagging_id);
-        }
-        catch (Exception $e) {
-          $transaction->rollback();
-          watchdog_exception('flag', $e);
-          throw $e;
-        }
+        $this->flagging_delete($flagging, $entity_id, $account);
       }
+      // We do nothing in the case of an attempt to unflag something that isn't
+      // actually flagged.
     }
     elseif ($action == 'flag') {
-      if ($this->uses_anonymous_cookies()) {
-        $this->_flag_anonymous($entity_id);
-      }
-
-      // By definition there is no flagging entity yet, but we may have been
-      // passed one in to save.
-      if (!isset($flagging)) {
-        // Construct a new flagging object if we weren't passed one.
-        $flagging = $this->new_flagging($entity_id, $uid, $sid);
-      }
-
-      // Invoke hook_entity_presave().
-      // In the case that we have been passed in a flagging entity to update,
-      // this is technically still a presave, even though the {flagging} table
-      // itself is not changed.
-      module_invoke_all('entity_presave', $flagging, 'flagging');
-
       if (!$flagged) {
-        // The entity is unflagged.
-
-        // Save the flagging entity (just our table).
-        $this->_flag($flagging);
-        $this->_increase_count($entity_id);
-        // We're writing out a flagging entity even when we aren't passed one
-        // (e.g., when flagging via JavaScript toggle links); in this case
-        // Field API will assign the fields their default values.
-        $this->_insert_flagging($flagging);
-        module_invoke_all('flag_flag', $this, $entity_id, $account, $flagging);
-        // Invoke Rules event.
-        if (module_exists('rules')) {
-          $event_name = 'flag_flagged_' . $this->name;
-          // We only support flags on entities.
-          if (entity_get_info($this->entity_type)) {
-            $variables = array(
-              'flag' => $this,
-              'flagged_' . $this->entity_type => $entity_id,
-              'flagging_user' => $account,
-              'flagging' => $this->get_flagging($entity_id, $account->uid),
-            );
-            rules_invoke_event_by_args($event_name, $variables);
-          }
-        }
+        $this->flagging_insert($flagging, $entity_id, $account);
       }
       else {
-        // Nothing to do. Item is already flagged.
-        //
-        // Except in the case a $flagging object is one that was passed in: in
-        // this case we're being requested to update the flagging. This occurs,
-        // for example, when the user updates the flagging entity form.
-        if (!empty($flagging->flagging_id)) {
-          $this->_update_flagging($flagging);
-        }
+        $this->flagging_update($flagging, $entity_id, $account);
       }
     }
 
@@ -849,37 +790,159 @@ class flag_flag {
   }
 
   /**
-   * The entity CRUD methods _{insert,update,delete}_flagging() are for private
-   * use by the flag() method.
+   * Create a new Flagging to flag an entity.
    *
-   * The reason programmers should not call them directly is because a flagging
-   * operation is also accompanied by some bookkeeping (calling hooks, updating
-   * counters) or access control. These tasks are handled by the flag() method.
+   * @param $flagging
+   *  The flagging entity that is to be removed.
+   * @param $entity_id
+   *  The entity ID of entity being unflagged.
+   * @param $account
+   *  The account performing the unflagging.
    */
-  private function _insert_flagging($flagging) {
+  private function flagging_insert($flagging, $entity_id, $account) {
+    if ($this->uses_anonymous_cookies()) {
+      $this->_flag_anonymous($entity_id);
+    }
+
+    // Invoke presave hooks.
     field_attach_presave('flagging', $flagging);
+    // Invoke hook_entity_presave().
+    module_invoke_all('entity_presave', $flagging, 'flagging');
+
+    // Set the timestamp.
+    $flagging->timestamp = REQUEST_TIME;
+
+    // Save the flagging entity.
+    drupal_write_record('flagging', $flagging);
+
+    // Clear various caches; we don't want code running after us to report
+    // wrong counts or false flaggings.
+    drupal_static_reset('flag_get_user_flags');
+    drupal_static_reset('flag_get_entity_flags');
+    // Despite being named in the same pattern as the count API functions, these
+    // query the {flagging} table, so are reset here.
+    drupal_static_reset('flag_get_entity_flag_counts');
+    drupal_static_reset('flag_get_user_flag_counts');
+
+    $this->_increase_count($entity_id);
+    // We're writing out a flagging entity even when we aren't passed one
+    // (e.g., when flagging via JavaScript toggle links); in this case
+    // Field API will assign the fields their default values.
+
+    // Invoke insert hooks.
     field_attach_insert('flagging', $flagging);
     // Invoke hook_entity_insert().
     module_invoke_all('entity_insert', $flagging, 'flagging');
+
+    module_invoke_all('flag_flag', $this, $entity_id, $account, $flagging);
+    // Invoke Rules event.
+    if (module_exists('rules')) {
+      $this->invoke_rules_event('flag', $flagging, $entity_id, $account);
+    }
   }
-  private function _update_flagging($flagging) {
+
+  /**
+   * Invoke a Rules event in reaction to a flagging or unflagging.
+   *
+   * @param $action
+   *   Either 'flag' or 'unflag'.
+   * @param $flagging
+   *  The flagging entity that is to be removed.
+   * @param $entity_id
+   *  The entity ID of entity being unflagged.
+   * @param $account
+   *  The account performing the unflagging.
+   */
+  protected function invoke_rules_event($action, $flagging, $entity_id, $account) {
+    // We only support flags on entities: do nothing in this class.
+    // See flag_entity::invoke_rules_event().
+    return;
+  }
+
+  /**
+   * Update a Flagging.
+   *
+   * @param $flagging
+   *  The flagging entity that is to be removed.
+   * @param $entity_id
+   *  The entity ID of entity being unflagged.
+   * @param $account
+   *  The account performing the unflagging.
+   */
+  private function flagging_update($flagging, $entity_id, $account) {
+    // Invoke presave hooks.
+    // This is technically still a presave, even though the {flagging} table
+    // itself is not changed.
     field_attach_presave('flagging', $flagging);
-    field_attach_update('flagging', $flagging);
-    // Update the cache.
-    entity_get_controller('flagging')->resetCache();
-    // Invoke hook_entity_update().
-    // Since there are no fields on the {flagging} table that can be
-    // meaningfully changed, we don't perform an update on it. However, this
-    // technically still counts as updating the flagging entity, since we update
-    // its fields.
-    module_invoke_all('entity_update', $flagging, 'flagging');
+    // Invoke hook_entity_presave().
+    module_invoke_all('entity_presave', $flagging, 'flagging');
+
+    // This check exists solely to preserve previous behaviour with re-flagging.
+    // TODO: consider removing it.
+    if (!empty($flagging->given_as_parameter)) {
+      field_attach_update('flagging', $flagging);
+      // Update the cache.
+      entity_get_controller('flagging')->resetCache();
+      // Invoke hook_entity_update().
+      // Since there are no fields on the {flagging} table that can be
+      // meaningfully changed, we don't perform an update on it. However, this
+      // technically still counts as updating the flagging entity, since we update
+      // its fields.
+      module_invoke_all('entity_update', $flagging, 'flagging');
+    }
   }
-  private function _delete_flagging($flagging) {
-    field_attach_delete('flagging', $flagging);
-    // Remove from the cache.
-    entity_get_controller('flagging')->resetCache();
-    // Invoke hook_entity_delete().
-    module_invoke_all('entity_delete', $flagging, 'flagging');
+
+  /**
+   * Unflag an entity by deleting a Flagging.
+   *
+   * @param $flagging
+   *  The flagging entity that is to be removed.
+   * @param $entity_id
+   *  The entity ID of entity being unflagged.
+   * @param $account
+   *  The account performing the unflagging.
+   */
+  private function flagging_delete($flagging, $entity_id, $account) {
+    if ($this->uses_anonymous_cookies()) {
+      $this->_unflag_anonymous($entity_id);
+    }
+
+    $transaction = db_transaction();
+    try {
+      // Note the order: We decrease the count first so hooks have accurate
+      // data, then invoke hooks, then delete the flagging entity.
+      $this->_decrease_count($entity_id);
+      module_invoke_all('flag_unflag', $this, $entity_id, $account, $flagging);
+      // Invoke Rules event.
+      if (module_exists('rules')) {
+        $this->invoke_rules_event('unflag', $flagging, $entity_id, $account);
+      }
+
+      // Invoke hook_entity_delete().
+      module_invoke_all('entity_delete', $flagging, 'flagging');
+      // Delete field data.
+      field_attach_delete('flagging', $flagging);
+
+      // Delete the flagging entity.
+      db_delete('flagging')->condition('flagging_id', $flagging->flagging_id)->execute();
+
+      // Remove from the cache.
+      entity_get_controller('flagging')->resetCache();
+
+      // Clear various caches; we don't want code running after us to report
+      // wrong counts or false flaggings.
+      drupal_static_reset('flag_get_user_flags');
+      drupal_static_reset('flag_get_entity_flags');
+      // Despite being named in the same pattern as the count API functions, these
+      // query the {flagging} table, so are reset here.
+      drupal_static_reset('flag_get_entity_flag_counts');
+      drupal_static_reset('flag_get_user_flag_counts');
+    }
+    catch (Exception $e) {
+      $transaction->rollback();
+      watchdog_exception('flag', $e);
+      throw $e;
+    }
   }
 
   /**
@@ -986,54 +1049,6 @@ class flag_flag {
       ->fetchField();
   }
 
-  /**
-   * A low-level method to flag an object.
-   *
-   * You probably shouldn't call this raw private method: call the flag()
-   * function instead.
-   *
-   * @param
-   *   The flagging record.
-   *
-   * @private
-   */
-  function _flag($flagging) {
-    // Set the timestamp.
-    $flagging->timestamp = REQUEST_TIME;
-
-    drupal_write_record('flagging', $flagging);
-
-    // Clear various caches; we don't want code running after us to report
-    // wrong counts or false flaggings.
-    drupal_static_reset('flag_get_user_flags');
-    drupal_static_reset('flag_get_entity_flags');
-    // Despite being named in the same pattern as the count API functions, these
-    // query the {flagging} table, so are reset here.
-    drupal_static_reset('flag_get_entity_flag_counts');
-    drupal_static_reset('flag_get_user_flag_counts');
-  }
-
-  /**
-   * A low-level method to unflag an object.
-   *
-   * You probably shouldn't call this raw private method: call the flag()
-   * function instead.
-   *
-   * @private
-   */
-  function _unflag($entity_id, $flagging_id) {
-    db_delete('flagging')->condition('flagging_id', $flagging_id)->execute();
-
-    // Clear various caches; we don't want code running after us to report
-    // wrong counts or false flaggings.
-    drupal_static_reset('flag_get_user_flags');
-    drupal_static_reset('flag_get_entity_flags');
-    // Despite being named in the same pattern as the count API functions, these
-    // query the {flagging} table, so are reset here.
-    drupal_static_reset('flag_get_entity_flag_counts');
-    drupal_static_reset('flag_get_user_flag_counts');
-  }
-
   /**
    * Increases the flag count for an object and clears the static counts cache.
    *
@@ -1043,7 +1058,7 @@ class flag_flag {
    *   The amount of counts to increasing. Defaults to 1.
    *
    * @private
-  */
+   */
   function _increase_count($entity_id, $number = 1) {
     db_merge('flag_counts')
       ->key(array(
@@ -1076,7 +1091,7 @@ class flag_flag {
    *   The amount of counts to decrease. Defaults to 1.
    *
    * @private
-  */
+   */
   function _decrease_count($entity_id, $number = 1) {
     // Delete rows with count 0, for data consistency and space-saving.
     // Done before the db_update() to prevent out-of-bounds errors on "count".
@@ -1164,6 +1179,7 @@ class flag_flag {
    * @param $entity_id
    *   The ID in whose context to interpret tokens. If not given, only global
    *   tokens will be substituted.
+   *
    * @return
    *   The processed label.
    */
@@ -1511,8 +1527,8 @@ class flag_flag {
    * @param $variables = array()
    *  An array of further variables to pass to theme('flag'). For the full list
    *  of parameters, see flag.tpl.php. Of particular interest:
-   *  - after_flagging: Set to TRUE if this flag link is being displayed as the result
-   *    of a flagging action.
+   *  - after_flagging: Set to TRUE if this flag link is being displayed as the
+   *    result of a flagging action.
    *  - errors: An array of error messages.
    *
    * @return
diff --git a/drupal7/sites/all/modules/flag/includes/flag/flag_node.inc b/drupal7/sites/all/modules/flag/includes/flag/flag_node.inc
index 0b04d02a..005c7564 100644
--- a/drupal7/sites/all/modules/flag/includes/flag/flag_node.inc
+++ b/drupal7/sites/all/modules/flag/includes/flag/flag_node.inc
@@ -2,7 +2,7 @@
 
 /**
  * @file
- *   Contains the flag_node class.
+ * Contains the flag_node class.
  */
 
 /**
@@ -89,6 +89,7 @@ class flag_node extends flag_entity {
    *
    * @param $entity_id
    *   The nid for the content.
+   *
    * @return
    *   The tnid if available, the nid otherwise.
    */
diff --git a/drupal7/sites/all/modules/flag/includes/views/flag_handler_argument_entity_id.inc b/drupal7/sites/all/modules/flag/includes/views/flag_handler_argument_entity_id.inc
index f5d3b1a0..21ccf8a8 100644
--- a/drupal7/sites/all/modules/flag/includes/views/flag_handler_argument_entity_id.inc
+++ b/drupal7/sites/all/modules/flag/includes/views/flag_handler_argument_entity_id.inc
@@ -27,12 +27,13 @@ class flag_handler_argument_entity_id extends views_handler_argument_numeric {
    */
   function title_query() {
     if (!($flag = $this->get_flag())) {
-      return array(); // Error message is printed by get_flag().
+      // Error message is printed by get_flag().
+      return array();
     }
     $views_info = $flag->get_views_info();
 
     $titles = array();
-    $placeholders = implode(', ', array_fill(0, sizeof($this->value), '%d'));
+    $placeholders = implode(', ', array_fill(0, count($this->value), '%d'));
 
     $result = db_select($views_info['views table'], 'o')
       ->fields('o', array($views_info['title field']))
diff --git a/drupal7/sites/all/modules/flag/includes/views/flag_handler_field_ops.inc b/drupal7/sites/all/modules/flag/includes/views/flag_handler_field_ops.inc
index 58830f11..125af26d 100644
--- a/drupal7/sites/all/modules/flag/includes/views/flag_handler_field_ops.inc
+++ b/drupal7/sites/all/modules/flag/includes/views/flag_handler_field_ops.inc
@@ -35,7 +35,8 @@ class flag_handler_field_ops extends views_handler_field {
   function get_parent_relationship() {
     $parent = $this->view->relationship[$this->options['relationship']]->options['relationship'];
     if (!$parent || $parent == 'none') {
-      return NULL; // Base query table.
+      // Base query table.
+      return NULL;
     }
     else {
       return $this->view->relationship[$parent]->alias;
@@ -66,7 +67,8 @@ class flag_handler_field_ops extends views_handler_field {
    */
   function query() {
     if (!($flag = $this->get_flag())) {
-      return; // Error message is printed in render().
+      // Error message is printed in render().
+      return;
     }
     $info = $flag->get_views_info();
     $parent = $this->get_parent_relationship();
@@ -128,7 +130,8 @@ class flag_handler_field_ops extends views_handler_field {
    */
   function pre_render(&$values) {
     if (!($flag = $this->get_flag())) {
-      return; // Error message is printed in render().
+      // Error message is printed in render().
+      return;
     }
 
     $ids = array();
@@ -144,7 +147,8 @@ class flag_handler_field_ops extends views_handler_field {
 
   function render($values) {
     if (!($flag = $this->get_flag())) {
-      return t('Missing flag'); // get_flag() itself will print a more detailed message.
+      // get_flag() itself will print a more detailed message.
+      return t('Missing flag');
     }
 
     $entity_id = $values->{$this->aliases['entity_id']};
diff --git a/drupal7/sites/all/modules/flag/includes/views/flag_handler_filter_flagged.inc b/drupal7/sites/all/modules/flag/includes/views/flag_handler_filter_flagged.inc
index d22c40bb..494859fe 100644
--- a/drupal7/sites/all/modules/flag/includes/views/flag_handler_filter_flagged.inc
+++ b/drupal7/sites/all/modules/flag/includes/views/flag_handler_filter_flagged.inc
@@ -21,7 +21,11 @@ class flag_handler_filter_flagged extends views_handler_filter_boolean_operator
     parent::options_form($form, $form_state);
     $form['value']['#type'] = 'radios';
     $form['value']['#title'] = t('Status');
-    $form['value']['#options'] = array(1 => t('Flagged'), 0 => t('Not flagged'), 'All' => t('All'));
+    $form['value']['#options'] = array(
+      1 => t('Flagged'),
+      0 => t('Not flagged'),
+      'All' => t('All'),
+    );
     $form['value']['#default_value'] = empty($this->options['value']) ? '0' : $this->options['value'];
     $form['value']['#description'] = '<p>' . t('This filter is only needed if the relationship used has the "Include only flagged content" option <strong>unchecked</strong>. Otherwise, this filter is useless, because all records are already limited to flagged content.') . '</p><p>' . t('By choosing <em>Not flagged</em>, it is possible to create a list of content <a href="@unflagged-url">that is specifically not flagged</a>.', array('@unflagged-url' => 'http://drupal.org/node/299335')) . '</p>';
   }
diff --git a/drupal7/sites/all/modules/flag/includes/views/flag_handler_sort_flagged.inc b/drupal7/sites/all/modules/flag/includes/views/flag_handler_sort_flagged.inc
index 63c27875..54fdd37f 100644
--- a/drupal7/sites/all/modules/flag/includes/views/flag_handler_sort_flagged.inc
+++ b/drupal7/sites/all/modules/flag/includes/views/flag_handler_sort_flagged.inc
@@ -14,7 +14,8 @@ class flag_handler_sort_flagged extends views_handler_sort {
 
   /**
    * Provide a list of options for the default sort form.
-   * Should be overridden by classes that don't override sort_form
+   *
+   * Should be overridden by classes that don't override sort_form.
    */
   function sort_options() {
     return array(
diff --git a/drupal7/sites/all/modules/flag/includes/views/flag_plugin_argument_validate_flaggability.inc b/drupal7/sites/all/modules/flag/includes/views/flag_plugin_argument_validate_flaggability.inc
index f6534126..7cd52691 100644
--- a/drupal7/sites/all/modules/flag/includes/views/flag_plugin_argument_validate_flaggability.inc
+++ b/drupal7/sites/all/modules/flag/includes/views/flag_plugin_argument_validate_flaggability.inc
@@ -66,8 +66,9 @@ class flag_plugin_argument_validate_flaggability extends views_plugin_argument_v
   }
 
   /**
-   * Returns form #options for the flags. Returns empty array if no flags were
-   * found.
+   * Returns form #options for the flags.
+   *
+   * Returns empty array if no flags were found.
    */
   function flags_options() {
     $flags = flag_get_flags($this->flag_type);
@@ -96,8 +97,9 @@ class flag_plugin_argument_validate_flaggability extends views_plugin_argument_v
   }
 
   /**
-   * Declares all tests. This scheme makes it easy for derived classes to add
-   * and remove tests.
+   * Declares all tests.
+   *
+   * This scheme makes it easy for derived classes to add and remove tests.
    */
   function tests_info($which = NULL) {
     return array(
@@ -130,7 +132,8 @@ class flag_plugin_argument_validate_flaggability extends views_plugin_argument_v
     if ($flag_name == '*relationship*') {
       // Pick the first flag mentioned in the relationships.
       foreach ($this->view->relationship as $id => $handler) {
-        // Note: we can't do $handler->field, because the relationship handler's init() may overwrite it.
+        // Note: we can't do $handler->field, because the relationship handler's
+        // init() may overwrite it.
         if (strpos($handler->options['field'], 'flag') !== FALSE && !empty($handler->options['flag'])) {
           $flag = flag_get_flag($handler->options['flag']);
           if ($flag && $flag->entity_type == $this->flag_type) {
@@ -198,7 +201,8 @@ class flag_plugin_argument_validate_flaggability extends views_plugin_argument_v
   }
 
   function test_flagged($ids, $flag) {
-    // view_break_phrase() is guaranteed to return only integers, so this is SQL safe.
+    // view_break_phrase() is guaranteed to return only integers, so this is SQL
+    // safe.
     $flattened_ids = implode(',', $ids);
     return $this->_test_by_sql("SELECT entity_id FROM {flag_counts} WHERE fid = :fid AND entity_id IN ($flattened_ids) AND count > 0", array(':fid' => $flag->fid));
   }
@@ -206,7 +210,7 @@ class flag_plugin_argument_validate_flaggability extends views_plugin_argument_v
   function test_flagged_by_current_user($ids, $flag) {
     global $user;
     if (!$user->uid) {
-      // Anonymous user
+      // Anonymous user.
       return array();
     }
     $flattened_ids = implode(',', $ids);
@@ -223,4 +227,3 @@ class flag_plugin_argument_validate_flaggability extends views_plugin_argument_v
     return $passed;
   }
 }
-
diff --git a/drupal7/sites/all/modules/flag/plugins/access/flag_is_flagged/flag_is_flagged.inc b/drupal7/sites/all/modules/flag/plugins/access/flag_is_flagged/flag_is_flagged.inc
index 720e612d..0f6e0433 100644
--- a/drupal7/sites/all/modules/flag/plugins/access/flag_is_flagged/flag_is_flagged.inc
+++ b/drupal7/sites/all/modules/flag/plugins/access/flag_is_flagged/flag_is_flagged.inc
@@ -31,7 +31,7 @@ function flag_flag_is_flagged_access_get_children($plugin, $parent) {
 
   foreach ($entities as $entity_type => $info) {
     if (entity_type_supports($entity_type, 'view')) {
-      $plugin['title'] =  t('@entity_type is flagged', array('@entity_type' => $info['label']));
+      $plugin['title'] = t('@entity_type is flagged', array('@entity_type' => $info['label']));
       $plugin['keyword'] = $entity_type;
       $plugin['name'] = $parent . ':' . $entity_type;
       $plugin['required context'] = new ctools_context_required(t('Entity'), $entity_type);
@@ -103,7 +103,7 @@ function flag_flag_is_flagged_access_check($conf, $context) {
 }
 
 /**
- * Provide a summary description based upon the specified context
+ * Provide a summary description based upon the specified context.
  */
 function flag_flag_is_flagged_access_summary($conf, $context) {
   $flag = flag_get_flag($conf['flag_name']);
